const dotenv = require('dotenv')
const SQLite = require('sqlite3')

dotenv.config()

const sqlite = SQLite.verbose()

const db = new sqlite.Database(process.env.DATABASE_PATH)

db.serialize(() => {
	db.run(`
		CREATE TABLE IF NOT EXISTS items (
			id CHARACTER(32) PRIMARY KEY,
			name VARCHAR(256) NOT NULL,
			url VARCHAR(256) NOT NULL,
			folder_id CHARACTER(32) NOT NULL,
			created_at DATETIME NOT NULL,
			updated_at DATETIME NOT NULL,
			deleted_at DATETIME
		)
	`)

	db.run(`
		CREATE TABLE IF NOT EXISTS folders (
			id CHARACTER(32) PRIMARY KEY,
			name VARCHAR(256) NOT NULL,
			parent_id CHARACTER(32),
			created_at DATETIME NOT NULL,
			updated_at DATETIME NOT NULL,
			deleted_at DATETIME
		)
	`)

	db.run(`
		CREATE TABLE IF NOT EXISTS users (
			id CHARACTER(32) PRIMARY KEY,
			name VARCHAR(256) NOT NULL,
			root_folder_id CHARACTER(32) NOT NULL,
			created_at DATETIME NOT NULL,
			updated_at DATETIME NOT NULL,
			deleted_at DATETIME
		)
	`)
})

db.close()
