import styled from 'styled-components'

const Image = styled('img')({
	position: 'absolute',
	top: 0,
	left: 0,
	width: '100%',
	height: '100%',
})

const Figcaption = styled('figcaption')({
	position: 'absolute',
	bottom: 0,
	left: 0,
	width: '100%',
	padding: '0.5rem 1rem',
	boxSizing: 'border-box',
	zIndex: 1,
	'::before': {
		position: 'absolute',
		top: 0,
		left: 0,
		width: '100%',
		height: '100%',
		content: "''",
		backgroundColor: 'var(--color-bg, white)',
		opacity: 0.5,
		zIndex: -1,
	},
})

const Base = styled('figure')({
	position: 'relative',
	width: '100%',
	height: '100%',
	margin: 0,
	[`${Figcaption}`]: {
		opacity: 0,
	},
	[`:hover ${Figcaption}`]: {
		opacity: 1,
	},
})

const Name = styled('span')({
	display: 'block',
	whiteSpace: 'nowrap',
})

const FolderItem = ({
	name,
	url,
}) => {
	return (
		<Base>
			<Image
				src={url}
			/>
			<Figcaption>
				<Name>
					{name}
				</Name>
			</Figcaption>
		</Base>
	)
}

export default FolderItem
