import {createDefaultAuth} from '../../../../utilities/auth'
import UserService from '../../../../domains/User/service'

const bindToUserAccount = async (req, res, session) => {
	const userService = new UserService()
	const username = session.user.name
	const user = await userService.getByUsername(username)
	const effectiveUser = user || await userService.createUser(username)
	session.user.id = effectiveUser.id
	session.user.rootFolder = effectiveUser.rootFolder
	return session
}

export default async (req, res) => {
	try {
		const auth = createDefaultAuth()
		await auth.handleCallback(
			req,
			res,
			{
				afterCallback: bindToUserAccount,
			}
		)
	} catch (err) {
		res.status(err.status || 500).end(err.message)
	}
}
