import { initAuth0 } from '@auth0/nextjs-auth0'

const createAuth = (params) => {
	return initAuth0({
		...params,
		enableTelemetry: false,
		routes: {
			callback: '/api/a/auth/callback',
			postLogoutRedirect: process.env.BASE_URL,
		},
	})
}

export const createDefaultAuth = () => createAuth({
	secret: process.env.AUTH_SECRET,
	issuerBaseURL: process.env.AUTH_ISSUER_BASE_URL,
	baseURL: process.env.BASE_URL,
	clientID: process.env.AUTH_CLIENT_ID,
	clientSecret: process.env.AUTH_CLIENT_SECRET
})

export class SessionNotFoundError extends Error {
	constructor() {
		super('No session found.')
	}
}

export default createAuth
